<?php

namespace Drupal\mcapi_bursers\Plugin\Field\FieldType;

use Drupal\Core\Field\Plugin\Field\FieldType\EntityReferenceItem;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines the burser user entity reference field type.
 *
 * @FieldType(
 *   id = "burser_reference",
 *   label = @Translation("Bursers"),
 *   description = @Translation("Other users who can control the wallet"),
 *   category = "Community Accounting",
 *   default_formatter = "entity_reference_label",
 *   default_widget = "entity_reference_autocomplete",
 *   list_class = "\Drupal\mcapi_bursers\Plugin\Field\BurserReferenceFieldItemList"
 * )
 */
class BurserReferenceItem extends EntityReferenceItem {

  /**
   * {@inheritDoc}
   */
  public static function defaultFieldSettings() {
    return [
      'handler' => 'default:mc_wallet_burser'
    ] + parent::defaultFieldSettings();
  }

  /**
   * {@inheritDoc}
   */
  public static function defaultStorageSettings() {
    return array(
      'target_type' => 'mc_wallet',
    ) + parent::defaultStorageSettings();
  }

  /**
   * {@inheritDoc}
   */
  public function storageSettingsForm(array &$form, FormStateInterface $form_state, $has_data) {
    return [];
  }

}
