<?php

namespace Drupal\mcapi_limits\Plugin\Block;

use Drupal\mcapi\Plugin\Block\WalletContextBlockBase;
use Drupal\mcapi\Entity\Wallet;

/**
 * Provides a user balances block.
 *
 * @Block(
 *   id = "mcapi_limits",
 *   admin_label = @Translation("Balance limits"),
 *   category = "Community Accounting"
 * )
 */
class BalanceLimits extends WalletContextBlockBase {

  /**
   * {@inheritDoc}
   */
  public function build() {
    foreach ($this->wids as $wid) {
      $wallet = Wallet::load($wid);
      $renderable['w'.$wallet->id()] = mcapi_view_limits($wallet);
    }
    return $renderable;
  }

}
