<?php

namespace Drupal\mcapi\Element;

use Drupal\Core\Render\Element\RenderElementBase;

/**
 * Provides an element showing a wallet's balance over time.
 *
 * @FormElement("mcapi_balance_history")
 */
class BalanceHistory extends RenderElementBase {

  /**
   * {@inheritDoc}
   */
  public function getInfo() {
    $class = static::class;
    return [
      '#width' => 400,
      '#height' => 133,
      '#format_curr' => TRUE,
      '#pre_render' => [[$class, 'preRender']]
    ];
  }

  /**
   * preRender callback
   * Load the points.
   */
  public static function preRender(array $element) {
    $element['#theme'] = 'mc_timeline';
    $element['#points'] = $element['#wallet']->history(); // diagonal lines
    return $element;
  }



}
