<?php

namespace Drupal\mcapi\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Plugin\Field\FieldFormatter\EntityReferenceLabelFormatter;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'wallet_reference_label_fallback' formatter
 * which provides a fallback for orphaned wallets.
 *
 * @FieldFormatter(
 *   id = "wallet_reference_label_fallback",
 *   label = @Translation("Label (with fallback)"),
 *   description = @Translation("Display the label of the wallet owners, with fallback for orphans"),
 *   field_types = {
 *     "entity_reference"
 *   }
 * )
 */
class WalletOwnerLabelFormatter extends EntityReferenceLabelFormatter {


  public function viewElements(FieldItemListInterface $items, $langcode) {
    if (!$items->entity) {
      $items->applyDefaultValue(); // what is the default value??
      $this->prepareView([$items]);
    }
    return parent::viewElements($items, $langcode);
  }
}
