<?php

namespace Drupal\mcapi\Plugin\Validation\Constraint;

use Drupal\Core\Validation\Attribute\Constraint as ConstraintAttribute;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Symfony\Component\Validator\Constraint;

/**
 * Validate the autocreated wallet - specifically the owner.
 * Supports validating payer & payee of parent transactions.
 */
#[ConstraintAttribute(
  id: 'Autowallet',
  label: new TranslatableMarkup('Validates the autowallet when an Entity is created.')
)]
class Autowallet extends Constraint {

  public $invalidWallet = 'The autocreated wallet is invalid.';

}
